<div class="container-fluid">
  <div class="row no-gutter">
    <!-- The image half -->
    <div class="col-md-7 d-none d-md-flex bg-image"></div>

    <!-- The content half -->
    <div class="col-md-5">
      <div class="login d-flex align-items-center py-5">
        <!-- Demo content-->
        <div class="container">
          <div class="row">
            <div class="col-lg-10 col-xl-7 mx-auto">
              <h2 class="display-3">Bienvenido</h2>
              <h3 class="text-muted mb-4">a SuperHero</h3>
              <form (ngSubmit)="sendLogin()" [formGroup]="formLogin">
                <div class="form-group mb-4">
                  <input
                    [class.is-invalid]="
                      this.formLogin.get('email')?.invalid &&
                      this.formLogin.get('email')?.touched
                    "
                    id="inputEmail"
                    type="email"
                    placeholder="Ingrese Email"
                    formControlName="email"
                    class="form-control rounded-pill border-0 shadow-sm px-4"
                  />
                </div>
                <div class="form-group mb-4">
                  <input
                    [class.is-invalid]="
                      this.formLogin.get('password')?.invalid &&
                      this.formLogin.get('password')?.touched
                    "
                    id="inputPassword"
                    type="password"
                    placeholder="Ingrese Contraseña"
                    formControlName="password"
                    class="form-control rounded-pill border-0 shadow-sm px-4 text-primary"
                  />
                </div>

                <button
                  type="submit"
                  [disabled]="formLogin.invalid"
                  class="btn btn-primary btn-block text-uppercase mb-2 rounded-pill shadow-sm w-100"
                >
                  Iniciar sesión
                </button>
              </form>
            </div>
          </div>
        </div>
        <!-- End -->
      </div>
    </div>
    <!-- End -->
  </div>
</div>
